Visualização combinada Visão plana Exibição em árvore
Tópicos [ Anterior | Próximo ]
toggle
William Gosse
6.1 GA1 Compatability
28 de Fevereiro de 2012 06:03
Resposta

William Gosse

Ranking: Regular Member

Mensagens: 108

Data de entrada: 4 de Julho de 2010

Mensagens recentes

I'm getting a sense that 6.1 GA1 is not very compatable with 6.0. I've seen issues with 6.0 themes and portlets not working correctly on 6.1.

Is they any documentation for what 's the upgrade path from 6.0 to 6.1?
Hitoshi Ozawa
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 06:10
Resposta

Hitoshi Ozawa

Ranking: Liferay Legend

Mensagens: 7990

Data de entrada: 23 de Março de 2010

Mensagens recentes

Try here:

http://www.liferay.com/documentation/liferay-portal/6.1/user-guide/-/ai/upgrading-lifer-5
William Gosse
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 08:54
Resposta

William Gosse

Ranking: Regular Member

Mensagens: 108

Data de entrada: 4 de Julho de 2010

Mensagens recentes

I think its really unfortunate that the API's could change so much as to break code that had been written for 6.0. This alone would probably keep people from moving an existing portal from 6.0 to 6.1. It would have been good if all the old methods were left in place, maybe wrappering newer ones or at least just being deprecated, but never removed completely. This probably means that much of the community contributed plugins for 6.0 probably won't work anymore on 6.1.

Also it seems that the change from communities to sites has broken 6.0 themes because the names of the velocity template variables have change as well.

It would almost seem that with 6.1 you almost have start entirely over again.
David H Nebinger
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 09:10
Resposta

David H Nebinger

Ranking: Liferay Legend

Mensagens: 6455

Data de entrada: 1 de Setembro de 2006

Mensagens recentes

In order to make an omelet, you need to break a few eggs...

Sure it's not the answer that you want to hear, but Liferay is still an evolving platform. The changes were done to support that evolution, and sometimes there is no way to wrap legacy functionality to get it to work w/ the new functionality.

The good news for you, I guess, is that Liferay 6.0 is still a supported platform and will continue to be supported for quite awhile. You don't have to migrate to 6.1 if you don't need the functionality it provides...
William Gosse
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 09:19
Resposta

William Gosse

Ranking: Regular Member

Mensagens: 108

Data de entrada: 4 de Julho de 2010

Mensagens recentes

Going from 6.0 to 6.1 is a minor number revision. I can see breaking eggs if we were doing a major number revision change, like 6 to 7.
David H Nebinger
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 09:25
Resposta

David H Nebinger

Ranking: Liferay Legend

Mensagens: 6455

Data de entrada: 1 de Setembro de 2006

Mensagens recentes

So Liferay's versioning process does not match your own. You'll find that they do tend to do things a little differently than what you think. Many people have been bitten by similar sort of assumptions when dealing w/ their SVN repository, too.

Regardless of what Liferay says, I haven't been through an update yet that did not require some modifications on our part. Even the small version bumps, like 6.0.5 to 6.0.6 we went back and recompiled all of our plugins using the 6.0.6 SDK, just to ensure that we maximized our compatibility with the portal...
William Gosse
RE: 6.1 GA1 Compatability
28 de Fevereiro de 2012 09:55
Resposta

William Gosse

Ranking: Regular Member

Mensagens: 108

Data de entrada: 4 de Julho de 2010

Mensagens recentes

A recompile I could easily deal with. Having to fix a lot of broken code might be another story which I probably don't want to invest in at this time.

Don't get me wrong, I love Liferay. I thinks its a great application deployment platform. We've had huge success using it within my company for our new customer facing portal.

Currently I'm using the community editon so I really can't complain. I did, however, wanted to air my opinion about this issue. If I were using the the enterprise editon I might have some stronger opinions.
Hitoshi Ozawa
RE: 6.1 GA1 Compatability
29 de Fevereiro de 2012 07:39
Resposta

Hitoshi Ozawa

Ranking: Liferay Legend

Mensagens: 7990

Data de entrada: 23 de Março de 2010

Mensagens recentes

I agree with you. You have to think of Liferay 6.1.x as a different software from Liferay 6.0.x.

It's not really a upgrade but think of it more of as an migration.

I think it was the same with Liferay 5.x to Liferay 6.x migration.

As the saying goes, use the software which best fulfills your needs.